Directory readiness
List readiness runs
GET
/
projects
/
{projectId}
/
readiness-runs
List readiness runs
curl --request GET \
--url https://app.mcpjam.com/api/v1/projects/{projectId}/readiness-runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mcpjam.com/api/v1/projects/{projectId}/readiness-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mcpjam.com/api/v1/projects/{projectId}/readiness-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"readinessKind": "claude",
"serverId": "<string>",
"serverUrl": "<string>",
"submissionMode": "mcp-only",
"status": "pending",
"overallStatus": "ready",
"lanes": [
{
"lane": "runtime-compatibility",
"status": "ready",
"evaluated": 123,
"notEvaluated": 123,
"notApplicable": 123,
"missingInputs": [
"<string>"
]
}
],
"stages": [
{
"stage": "technical-preflight",
"status": "ready",
"lanes": [
"runtime-compatibility"
]
}
],
"authMode": "headless",
"capabilities": [
"<string>"
],
"attemptCount": 123,
"terminalReason": "<string>",
"errorMessage": "<string>",
"policySnapshotDate": "<string>",
"engineVersion": "<string>",
"sdkVersion": "<string>",
"includeLlmObservations": true,
"llmObservations": {
"status": "not-requested",
"reason": "not_requested",
"detail": "<string>"
},
"hasReport": true,
"reportUrl": "<string>",
"createdAt": 123,
"updatedAt": 123
}
],
"nextCursor": "<string>"
}
Authorizations
MCPJam API key (sk_…). Create one at Settings → API keys. Guest sessions cannot use the API, and API keys cannot manage other API keys.
Path Parameters
ID of the hosted project that contains the server.
Query Parameters
Narrow to one publisher. Omitted lists both, newest first.
Available options:
claude, openai Required range:
1 <= x <= 100Was this page helpful?
⌘I
List readiness runs

